/*
 *   Nanova: library for unbalanced nestead ANOVA
 *   
 *   Copyright (C) 2006 Claire Bardel, Vincent Danjean
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __NANOVA_H
#define __NANOVA_H

struct una_results {
	double p_value;
	double F;
};

int unbalanced_nested_anova(unsigned int nb_levels, unsigned int nb_groups,
			    unsigned int nb_values, 
			    unsigned int *tree, unsigned int *groups, 
			    double *values,
			    struct una_results *res);

#endif
